Table of Contents

## Name

AuGetScratchFlow - get a scratch flow

## Synopsis

#include <audio/audiolib.h>

AuFlowID AuGetScratchFlow(server, status)
AuServer *server;
AuStatus *status; /* RETURN */

## Arguments

server
  Specifies the connection to the audio server.
status
  If non-NULL, flush the output buffer and return the status from the server.

## Description

AuGetScratchFlow gets one of the pre-allocated flow ID's if availible or creates a new flow if not and returns the flow ID or AuNone if there was an error.

## Errors

AuBadAlloc.

## See Also

AuCreateFlow, AuReleaseScratchFlow.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Synopsis
- Arguments
- Description
- Errors
- See Also